import figma from '@figma/code-connect';

figma.connect(
  'https://www.figma.com/design/Zyh9RyabNaqkjbuFWP9Aqj/%E2%9C%A8-Components--ADS2---Stable-version-?node-id=11910-12842',
  {
    imports: ["import { SidebarHeader } from '@mozaic-ds/web-components/svelte';"],
    props: {
      hasSearch: figma.boolean('Has a search'),
      hasSlot: figma.boolean('Has a slot'),
      expanded: figma.enum('🚫 Expanded sidebar', {
        True: true,
        False: false,
      }),
    },
    example: () => <SidebarHeader title="Product name" logo="/logo.png"></SidebarHeader>,
  },
);
